mod command_helper;
mod network_service;
mod server_logger;

use network_service::NetworkService;
use server_logger::ServerLogger;

#[tokio::main]
async fn main() {
    ServerLogger::init().unwrap();

    log::info!("Starting server...");

    NetworkService::init().await;

    log::info!("Server successfully started!");

    command_helper::run();
}
